#ifndef WORLD_HPP_INCLUDED
#define WORLD_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <string>
#include <cstdint>

namespace Internal
{
    class World : public Object
    {
        public:
            World();
            World(const void* Obj);
            World(const World& W);
            static Class GetClass();

            std::string GetActivity() const;
            std::string GetAddress() const;
            std::int32_t GetID() const;
            std::int32_t GetIndex() const;
            std::int32_t GetLocation() const;
            std::int32_t GetMask() const;
            std::int32_t GetPlayerCount() const;

    };
}

#endif // WORLD_HPP_INCLUDED
